## CloudProvidersProviderExporter CloudProvidersProviderExporter — Base object for representing a single provider |

## Functions

void | cloud_providers_provider_exporter_remove_account ()
void | cloud_providers_provider_exporter_set_name ()
const gchar * | cloud_providers_provider_exporter_get_name ()
CloudProvidersProviderExporter * | cloud_providers_provider_exporter_new ()

## Properties

GDBusConnection * | bus | Read / Write / Construct Only
gchar * | bus-name | Read / Write / Construct Only
gchar * | bus-path | Read / Write / Construct Only
gchar * | name | Read / Write

## Types and Values

#define | CLOUD_PROVIDERS_TYPE_PROVIDER_EXPORTER
struct | CloudProvidersProviderExporterClass
| CloudProvidersProviderExporter

## Object Hierarchy

        GObject
        ╰── CloudProvidersProviderExporter

## Includes

    #include <src/cloudprovidersexporter.h>

## Description

CloudProvidersProviderExporter is the base object representing a single cloud provider. Multiple CloudProvidersAccountExporter objects can be added with `cloud_providers_provider_exporter_add_account()` After adding the initial set of accounts `cloud_providers_provider_exporter_export_objects()` must be called.

## Functions

### cloud_providers_provider_exporter_remove_account ()

    void
    cloud_providers_provider_exporter_remove_account
                                   (CloudProvidersProviderExporter *self,
                                    CloudProvidersAccountExporter *account);

Each cloud provider can have a variety of account associated with it. Use this function to remove the accounts that were added when created by `cloud_providers_account_exporter_new()`.

#### Parameters

self | The cloud provider exporter |
account | The account object |

### cloud_providers_provider_exporter_set_name ()

    void
    cloud_providers_provider_exporter_set_name
                                   (CloudProvidersProviderExporter *self,
                                    const gchar *name);

### cloud_providers_provider_exporter_get_name ()

    const gchar *
    cloud_providers_provider_exporter_get_name
                                   (CloudProvidersProviderExporter *self);

### cloud_providers_provider_exporter_new ()

    CloudProvidersProviderExporter *
    cloud_providers_provider_exporter_new (GDBusConnection *bus,
                                           const gchar *bus_name,
                                           const gchar *object_path);

#### Parameters

bus | A GDbusConnection to export the objects to |
bus_name | A DBus name to bind to |
bus_path | A DBus object path |

## Types and Values

### CLOUD_PROVIDERS_TYPE_PROVIDER_EXPORTER

    #define CLOUD_PROVIDERS_TYPE_PROVIDER_EXPORTER (cloud_providers_provider_exporter_get_type())

### struct CloudProvidersProviderExporterClass

    struct CloudProvidersProviderExporterClass {
      GObjectClass parent_class;
    };

### CloudProvidersProviderExporter

    typedef struct _CloudProvidersProviderExporter CloudProvidersProviderExporter;

## Property Details

### The `“bus”` property

      “bus”                      GDBusConnection *

Bus.

Flags: Read / Write / Construct Only

### The `“bus-name”` property

      “bus-name”                 gchar *

BusName.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“bus-path”` property

      “bus-path”                 gchar *

BusPath.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     gchar *

The name of the cloud provider.

Flags: Read / Write

Default value: NULL